专栏首页大数据智能实战python包编译过程中出现: /usr/local/cuda-9.0/nvcc: No such file or directory问题的简单解决办法

python包编译过程中出现: /usr/local/cuda-9.0/nvcc: No such file or directory问题的简单解决办法

在安装torch.sparse包的过程中,出现/usr/local/cuda-9.0/nvcc: No such file or directory的错误,而检查nvcc是否已经安装的时候,这些在安装cuda时候都是已经安装过的。

再仔细查看问题原因,发现在nvcc'后面多了个引号,非常奇怪的一个错误。为了避免对系统进行修改(主要也没有系统权限),简单一个重新export CUDA_HOME操作,即可实现顺利编译通过。

具体错误和解决过程如下图所示:

本文参与腾讯云自媒体分享计划,欢迎正在阅读的你也加入,一起分享。

我来说两句

0 条评论
登录 后参与评论

相关文章

  • Caffe - Ubuntu 安装及问题解决

    注:cuDNN在很多工程中兼容性较差,可能需要安装特定的历史版本,只需对如上命令中的版本进行修改. 查看caffe 是否成功使用cuDNN v5:

    AIHGF
  • Ubuntu16.0.4+1080ti+ cuda9.1+cudnn7.0.5 安装 及 caffe 测试

    版权声明:本文为博主原创文章,未经博主允许不得转载。 https://blog.csdn.net/zhangjunhit/article/de...

    用户1148525
  • 独家|让你的GPU为深度学习做好准备(附代码)

    本文讲述了使用NVIDIA官方工具搭建基于GPU的TensorFlow平台的教程。

    数据派THU
  • 显卡,显卡驱动,nvcc, cuda driver,cudatoolkit,cudnn到底是什么?

    在使用深度学习框架的过程中一定会经常碰到这些东西,虽然anaconda有时会帮助我们自动地解决这些设置,但是有些特殊的库却还是需要我们手动配置环境,但是我对标题...

    marsggbo
  • tensorflow-gpu安装及问题解决

    最近需要用GPU来进行tensorflow进行训练,发现需要安装cuda 9.0版本才可以,因为tensorflow默认的就是cuda 9.0,为了减少...

    sparkexpert
  • 手把手教你在谷歌云平台搭建基于GPU的深度学习

    我知道,基于GPU的高端的深度学习系统构建起来非常昂贵,并且不容易获得,除非你……

    大数据文摘
  • ubantu系统输入法加NVIIDIA+cuda

    双系统win10+ubantu系统卸载ubantu:首先应知道自己的电脑分区格式(自行百度GBT和MBR分区)。

    用户7625592
  • 【入门篇】一个小白在Jetson TX2上安装caffe的踩坑之旅

    作为一个在深度学习上的小白,买Jetson TX2一个很大的原因就是想学习深度学习。那么当用Jetpack刷好板子后,第一个任务肯定是要学着安装caffe!...

    GPUS Lady
  • Linux磁盘满问题分析

    线上一台Linux服务器最近经常磁盘根分区满告警, 但不是普通的日志文件或数据文件过多过大,现象如下: 1)执行“df -h”查看各分...

    一见
  • 论文复现前奏篇:漫漫长路之Caffe-C3D

    0.导语1.Caffe源码编译1.0 NVIDIA与Anaconda31.1 GCC与G++降级1.2 cuda 9.01.3 cuDNN1.4 caffe-g...

    公众号guangcity
  • Ubuntu16.04上安装CUDA9.0 详细教程

    本篇文章是基于安装CUDA 9.0的经验写,CUDA9.0目前支持Ubuntu16.04和Ubuntu17.04两个版本,如下图所示(最下面的安装方式我们选择...

    砸漏
  • 想提高棋艺?试试这款围棋AI

    作为一名围棋渣渣,时不时会上对弈平台下下棋。围棋太博大精深,非常惭愧,虽然在下棋上花的时间很多,但一直处在菜鸟阶段,长期在1级和1段之间徘徊(腾讯野狐围棋上的排...

    云水木石
  • 如何在ubuntu 16.04 下安装 Tensorflow

    如果系统没有安装 gcc 则会提示 command not found。这时要先安装 gcc。

    流川枫
  • ubuntu14.04.1升级openssh

    由于ubuntu14.04.1默认的openssh是5.6p1版的,有很多安全漏洞,所以计划升级至openssh7.5p1 一、下载升级所需的软件 zlib-1...

    孙杰
  • 手把手教你配置linux下C++开发工具——vim+ycm(YouCompleteMe),支持基于语义的自动补全和第三方库补全(史上最简单、史上最透彻、史上最全的终极解决方案)

    截止到目前,vim稳定版本已经到了8.2+,ycm(YouCompleteMe的简称)最新版本与几年前的安装配置截然不同了。之前网上很多教程也教不得法,生搬硬套...

    Java架构师历程
  • 安装 tensorflow 1.1.0;以及安装其他相似版本tensorflow遇到的问题;tensorflow 1.13.2 cuda-10环境变量配置问题;Tensorflow 指定训练时如何指定

    tensorboard --logdir=/tmp/tensorflow/mnist/logs/mnist_with_summaries/ 

    xuyaowen
  • 在ubuntu上配置tensorflow 1.7+CUDA踩过的坑

    在ubuntu上配置tensorflow 1.7+CUDA踩过的坑 tensorflow1.6+CUDA9.0+cuDNN7.0整个环境在windows下正常工...

    OpenCV学堂
  • 尝鲜TensorFlow 2.0

    前两天,Google在TensorFlow开发者峰会上发布了TensorFlow 2.0 alpha版,TensorFlow官网也全新改版上线。其实早在去年上半...

    云水木石
  • 手把手教你配置linux下C++开发工具——vim+ycm(YouCompleteMe),支持基于语义的自动补全和第三方库补全(史上最简单、史上最透彻、史上最全的终极解决方案)

                       1.1、进入download目录:cd download

    Java架构师必看

扫码关注云+社区

领取腾讯云代金券